package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SalesLeaderTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface SalesLeaderRepository extends BaseRepository<SalesLeaderTable> {

    SalesLeaderTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SalesLeaderTable> findAllByIdIn(List<Long> ids);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SalesLeaderTable findFirstById(Long id);

    SalesLeaderTable getFirstBySalesNo(String salesNo);

    List<SalesLeaderTable> findBySalesNo(String salesNo);
}
